Open CASCADE Technology: STEPConstruct Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
STEPConstruct Class Reference

Defines tools for creation and investigation STEP constructs used for representing various kinds of data, such as product and assembly structure, unit contexts, associated information The creation of these structures is made according to currently active schema (AP203 or AP214 CD2 or DIS) This is taken from parameter write.step.schema. More...

`#include <STEPConstruct.hxx>`

## Static Public Member Functions
static Handle < StepRepr_RepresentationItem > | FindEntity (const Handle< Transfer_FinderProcess > &FinderProcess, const TopoDS_Shape &Shape)
| Returns STEP entity of the (sub)type of RepresentationItem which is a result of the tranalation of the Shape, or Null if no result is recorded. More...
static Handle < StepRepr_RepresentationItem > | FindEntity (const Handle< Transfer_FinderProcess > &FinderProcess, const TopoDS_Shape &Shape, TopLoc_Location &Loc)
| The same as above, but in the case if item not found, repeats search on the same shape without location. The Loc corresponds to the location with which result is found (either location of the Shape, or Null) More...
static TopoDS_Shape | FindShape (const Handle< Transfer_TransientProcess > &TransientProcess, const Handle< StepRepr_RepresentationItem > &item)
| Returns Shape resulting from given STEP entity (Null if not mapped) More...
static Standard_Boolean | FindCDSR (const Handle< Transfer_Binder > &ComponentBinder, const Handle< StepShape_ShapeDefinitionRepresentation > &AssemblySDR, Handle< StepShape_ContextDependentShapeRepresentation > &ComponentCDSR)
| Find CDSR correcponding to the component in the specified assembly. More...

## Detailed Description

Defines tools for creation and investigation STEP constructs used for representing various kinds of data, such as product and assembly structure, unit contexts, associated information The creation of these structures is made according to currently active schema (AP203 or AP214 CD2 or DIS) This is taken from parameter write.step.schema.

## Member Function Documentation

static Standard_Boolean STEPConstruct::FindCDSR | ( | const Handle< Transfer_Binder > & | ComponentBinder,
|  | const Handle< StepShape_ShapeDefinitionRepresentation > & | AssemblySDR,
|  | Handle< StepShape_ContextDependentShapeRepresentation > & | ComponentCDSR
| ) |  |
| static

Find CDSR correcponding to the component in the specified assembly.

static Handle< StepRepr_RepresentationItem > STEPConstruct::FindEntity | ( | const Handle< Transfer_FinderProcess > & | FinderProcess,
|  | const TopoDS_Shape & | Shape
| ) |  |
| static

Returns STEP entity of the (sub)type of RepresentationItem which is a result of the tranalation of the Shape, or Null if no result is recorded.

static Handle< StepRepr_RepresentationItem > STEPConstruct::FindEntity | ( | const Handle< Transfer_FinderProcess > & | FinderProcess,
|  | const TopoDS_Shape & | Shape,
|  | TopLoc_Location & | Loc
| ) |  |
| static

The same as above, but in the case if item not found, repeats search on the same shape without location. The Loc corresponds to the location with which result is found (either location of the Shape, or Null)

static TopoDS_Shape STEPConstruct::FindShape | ( | const Handle< Transfer_TransientProcess > & | TransientProcess,
|  | const Handle< StepRepr_RepresentationItem > & | item
| ) |  |
| static

Returns Shape resulting from given STEP entity (Null if not mapped)

The documentation for this class was generated from the following file:

- STEPConstruct.hxx